> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Daily Average Network Hash Rate

> Retrieves the historical hash rate, reflecting the processing power of the network over time.

export const chain = '1';

<Note>This is a PRO endpoint, available to the [Standard Plan](/resources/rate-limits) and above</Note>

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": [
      {
        "UTCDate": "2019-02-01",
        "unixTimeStamp": "1548979200",
        "networkHashRate": "143116.0140"
      },
      {
        "UTCDate": "2019-02-02",
        "unixTimeStamp": "1549065600",
        "networkHashRate": "143036.2313"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/dailyavghashrate.json GET /v2/api
openapi: 3.1.0
info:
  title: Get Daily Average Network Hash Rate
  version: 2.0.0
  description: >-
    Retrieves the historical hash rate, reflecting the processing power of the
    network over time.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get Daily Average Network Hash Rate
      description: >-
        Retrieves the historical hash rate, reflecting the processing power of
        the network over time.
      operationId: getDailyavghashrate
      parameters:
        - name: chainid
          in: query
          required: true
          description: >-
            Chain ID to query, eg 1 for Ethereum, 8453 for Base from our
            supported chains.
          schema:
            type: string
          example: '1'
        - name: module
          in: query
          required: true
          description: Set to stats for this endpoint.
          schema:
            type: string
            default: stats
          example: stats
        - name: action
          in: query
          required: true
          description: Set to dailyavghashrate for this endpoint.
          schema:
            type: string
            default: dailyavghashrate
          example: dailyavghashrate
        - name: startdate
          in: query
          required: true
          description: Starting date in yyyy-MM-dd format.
          schema:
            type: string
          example: '2019-02-01'
        - name: enddate
          in: query
          required: true
          description: Ending date in yyyy-MM-dd format.
          schema:
            type: string
          example: '2019-02-28'
        - name: sort
          in: query
          required: false
          description: >-
            Sort order either desc for the latest results first or asc for the
            oldest results first.
          schema:
            type: string
          example: asc
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````